C**********************************************
C
C This is the include file for the Equilibrium
C Stellar Grid common block definition.
C
C Date:19/9/95
C
C**********************************************

      double precision RGrid(NGrid)	! The radius grid - remember, radius is dependant on theta
      double precision DRGrid(NGrid)	! the derivative wrt theta of RGrid
      double precision TGrid(NGrid)	! The temperature grid - gravity darkening changes Teff with theta
      double precision GGrid(NGrid)	! The effective gravity grid - G acts along the surface normals
      double precision NRGrid(NGrid)	! The radial component of the surface normal
      double precision NTGrid(NGrid)	! The theta component of the surface normal
      double precision AGrid(NGrid)	! The area grid - this is the area associated with the grid
					! points. The area is calculated assuming the grid is quite
					! fine using differentials.
      double precision DelThe		! The theta range covered by each grid point - this is constant
					! for a given stellar grid
      double precision DelPhi		! The phi range covered by each grid point - this is a function of theta
      integer GrdVis			! The number of visible grid points for a given observer's location
      integer GrdTot			! The total number of grid points on the model star

      common /EqStGr/ RGrid, DRGrid, TGrid, GGrid,
     :                NRGrid,NTGrid,AGrid,
     :                DelThe,DelPhi,
     :                GrdVis,GrdTot
