      subroutine ginterp(Width,Depth,Temp,Grav,l,ok)

C Turn off implicit typing...

      implicit none

C Define the hard-wired parameters

      include "gkylie.compar_define.inc"

C *** Start of Include block load ***

C Load in the line list common block

      include "gkylie.spelin_common.inc"

C *** End of Include Block Load ***

C Declare the passed variables

      real Width		! The returned width
      real Depth		! The returned depth
      real Temp			! The temperature to interpolate to
      real Grav			! The gravity to interpolate to
      integer l			! THe line to interpolate for
      logical ok		! Returned status variable

C Delcare the in-program variables

      real y(4)			! Interpolation array
      real t			! Interpolation variable
      real u			! Interpolation variable
      integer tpos		! Position in grids of temperature point
      integer gpos		! Position in grids of gravity point
      integer tcnt		! Counter to step through temp
      integer gcnt		! Counter to step through grav

C First check that we are on the grid...

      if(Temp.le.TAxis(1).or.Temp.gt.TAxis(NTDef)) then
        write(chandl,'(''Temperature outside grids ('',
     :        F10.2,'')'')') Temp
        goto 9000
      elseif(Grav.le.GAxis(1).or.Grav.gt.GAxis(NGDef)) then
        write(chandl,'(''Gravity outside grids ('',
     :        F10.2,'')'')') Grav
        goto 9000
      endif

C Work out where we are in the grids...

      do tcnt=1,NTDef-1,1
        if(Temp.le.TAxis(tcnt+1).and.Temp.gt.TAxis(tcnt)) tpos=tcnt
      enddo

      do gcnt=1,NGDef-1,1
        if(Grav.le.GAxis(gcnt+1).and.Grav.gt.GAxis(gcnt)) gpos=gcnt
      enddo

C Now work out the interpolation bits 'n' pieces.

      t=(Temp-TAxis(tpos))/(TAxis(tpos+1)-TAxis(tpos))
      u=(Grav-GAxis(gpos))/(GAxis(gpos+1)-GAxis(gpos))

C Do the width interpolation...

      y(1)=LWGrid(tpos,gpos,l)
      y(2)=LWGrid(tpos+1,gpos,l)
      y(3)=LWGrid(tpos+1,gpos+1,l)
      y(4)=LWGrid(tpos,gpos+1,l)

      Width=(1.-t)*(1.-u)*y(1)+t*(1.-u)*y(2)+
     :      t*u*y(3)+(1.-t)*u*y(4)
     
C Do the depth interpolation...

      y(1)=LDGrid(tpos,gpos,l)
      y(2)=LDGrid(tpos+1,gpos,l)
      y(3)=LDGrid(tpos+1,gpos+1,l)
      y(4)=LDGrid(tpos,gpos+1,l)

      Depth=(1.-t)*(1.-u)*y(1)+t*(1.-u)*y(2)+
     :      t*u*y(3)+(1.-t)*u*y(4)

C Return...

C End of program jump-in point

 9000 continue

      return

      end
